Bug 4985 - --list-only shows implied dirs even with --no-implied-dirs
--list-only shows implied dirs even with --no-implied-dirs
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.0
Other Linux
: P3 minor
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 19:28 UTC by Matt McCutchen
Modified: 2008-07-26 10:14 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt McCutchen 2007-09-22 19:28:17 UTC
I noticed that the current CVS rsync lists implied dirs in --list-only mode, even if given --no-implied-dirs.  Is this behavior intended?  IMHO, it would be better to omit entries for implied dirs from the list like rsync 2.6.9 did because they are an implementation detail and do not carry any information of significance to the user.  At the very least, showing their source attributes is misleading because (as the man page description of --no-implied-dirs states) the attributes are never applied to the destination.

To see the current behavior, run:

mkdir -p a/b
chmod 3756 a    # Notice that this wacky mode appears in the listing
                # even though the receiver doesn't apply it.
rsync -a -R --no-implied-dirs --list-only a/b

The result:

drwxr-srwT          72 2007/09/22 20:24:55 a
drwx------          48 2007/09/22 20:24:55 a/b
Comment 1 Wayne Davison 2007-09-22 21:02:42 UTC
That was just an oversight.  There were some other list-only problems with inc_recurse mode that I also fixed.